Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# ipe::Fonts Class Reference
Ipe Cairo interface

Provides the fonts used to render text. More...

`#include <ipefonts.h>`

List of all members.

## Public Member Functions

- ~Fonts ()
- Face * getFace (int id)

## Static Public Member Functions

- static Fonts * New (const FontPool *fontPool)
- static cairo_font_face_t * screenFont ()
- static String freetypeVersion ()

## Detailed Description

Provides the fonts used to render text.

## Constructor & Destructor Documentation

Fonts::~Fonts | ( |  | ) |

Delete all the loaded Faces.

## Member Function Documentation

Fonts * Fonts::New | ( | const FontPool * | fontPool | ) | `[static]`

Face * Fonts::getFace | ( | int | id | ) |

Get a typeface.

Corresponds to a Freetype "face", or a PDF font resource. A Face can be loaded at various sizes (transformations), resulting in individual FaceSize's.

cairo_font_face_t * Fonts::screenFont | ( |  | ) | `[static]`

Return a Cairo font to render to the screen w/o Latex font.

String Fonts::freetypeVersion | ( |  | ) | `[static]`

The documentation for this class was generated from the following files:

- ipefonts.h
- ipefonts.cpp